<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateDesignMlTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('swp_design_en', function (Blueprint $table) {
            $table->string('id', 36)->primary();
            $table->string('design_id', 36);
            $table->string('title_design')->nullable();
            $table->text('value_design')->nullable();
            $table->string('userid_created', 36)->nullable();
            $table->string('userid_updated', 36)->nullable();
            $table->timestamps();
        });

        Schema::create('swp_design_de', function (Blueprint $table) {
            $table->string('id', 36)->primary();
            $table->string('design_id', 36);
            $table->string('title_design')->nullable();
            $table->text('value_design')->nullable();
            $table->string('userid_created', 36)->nullable();
            $table->string('userid_updated', 36)->nullable();
            $table->timestamps();
        });

        Schema::create('swp_design_sa', function (Blueprint $table) {
            $table->string('id', 36)->primary();
            $table->string('design_id', 36);
            $table->string('title_design')->nullable();
            $table->text('value_design')->nullable();
            $table->string('userid_created', 36)->nullable();
            $table->string('userid_updated', 36)->nullable();
            $table->timestamps();
        });

        Schema::create('swp_design_zh', function (Blueprint $table) {
            $table->string('id', 36)->primary();
            $table->string('design_id', 36);
            $table->string('title_design')->nullable();
            $table->text('value_design')->nullable();
            $table->string('userid_created', 36)->nullable();
            $table->string('userid_updated', 36)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('swp_design_en');
        Schema::dropIfExists('swp_design_de');
        Schema::dropIfExists('swp_design_sa');
        Schema::dropIfExists('swp_design_zh');
    }
}
